{% extends 'template/layout.twig' %}
{% block style %}
    <link rel="stylesheet" type="text/css" href="css/tuto.css">
{% endblock %}
{% block body %}
    <div id="tuto">
        <h2>FileZilla</h2>
        <h3 id="summary">Table des matières</h3>
        <a class="a_summary" href="#install">Installer FileZilla Server</a><br>
        <a class="a_summary" href="#config">Configurer FileZilla Server</a><br>
        <a class="a_summary" href="#net">Configuration réseau</a><br>
        <a class="a_summary" href="#passive">Mode passif</a>
        <h3 class="title" id="install">Installer FileZilla Server</h3>
        <p>Téléchargez <a href="https://dl4.cdn.filezilla-project.org/server/FileZilla_Server-0_9_60_2.exe?h=96u2SBcyR9aixVm2hIsYgA&x=1611425867" target="_blank">l'installateur de FileZilla Server</a>, puis éxécutez-le.<br>
            Cliquez sur "I Agree".</p>
        <a class="img" href="../img/windows/ftp/1.png" target="_blank"><img src="../img/windows/ftp/1.png"></a>
        <p>Cochez "Desktop Icon" et cliquez sur "Next" jusqu'à arriver à la page "Startup settings".</p>
        <a class="img" href="../img/windows/ftp/2.png" target="_blank"><img src="../img/windows/ftp/2.png"></a>
        <a class="img" href="../img/windows/ftp/3.png" target="_blank"><img src="../img/windows/ftp/3.png"></a>
        <a class="img" href="../img/windows/ftp/4.png" target="_blank"><img src="../img/windows/ftp/4.png"></a>
        <p>Sélectionnez vos options de démarrage.<br>
            Attention, FileZilla Server est un service, il est recommandé de le démarrer automatiquement avec Windows.</p>
        <a class="img" href="../img/windows/ftp/5.png" target="_blank"><img src="../img/windows/ftp/5.png"></a>
        <a class="img" href="../img/windows/ftp/6.png" target="_blank"><img src="../img/windows/ftp/6.png"></a>
        <p>Une fois l'installation terminée, cliquez sur "Close".</p>
        <h3 class="title" id="config">Configurer FileZilla Server</h3>
        <a class="img" href="../img/windows/ftp/7.png" target="_blank"><img src="../img/windows/ftp/7.png"></a>
        <p>Ouvrez FileZilla Interface s'il ne s'est pas ouvert automatiquement, et cliquez sur "Connect".</p>
        <a class="img" href="../img/windows/ftp/8.png" target="_blank"><img src="../img/windows/ftp/8.png"></a>
        <p>Vous devriez voir ceci :</p>
        <a class="img" href="../img/windows/ftp/9.png" target="_blank"><img src="../img/windows/ftp/9.png"></a>
        <p>Cliquez sur l'onglet "Edit" puis sur "Users".</p>
        <a class="img" href="../img/windows/ftp/10.png" target="_blank"><img src="../img/windows/ftp/10.png"></a>
        <p>Dans la fenêtre de droite, cliquez sur "Add"</p>
        <a class="img" href="../img/windows/ftp/11.png" target="_blank"><img src="../img/windows/ftp/11.png"></a>
        <p>Donnez un nom au nouvel utilisateur, et cliquez sur "OK".</p>
        <a class="img" href="../img/windows/ftp/12.png" target="_blank"><img src="../img/windows/ftp/12.png"></a>
        <p>Dans la fenêtre au centre, cliquez sur "Add" pour définir un répertoire à notre utilisateur.</p>
        <a class="img" href="../img/windows/ftp/13.png" target="_blank"><img src="../img/windows/ftp/13.png"></a>
        <a class="img" href="../img/windows/ftp/14.png" target="_blank"><img src="../img/windows/ftp/14.png"></a>
        <p>Cliquez sur "OK" en bas à gauche.</p>
        <a class="img" href="../img/windows/ftp/15.png" target="_blank"><img src="../img/windows/ftp/15.png"></a>
        <p>Lancez <a href="https://download.filezilla-project.org/client/FileZilla_3.52.2_win64_sponsored-setup.exe">FileZilla client</a><br>
            Saisissez l'hôte 127.0.0.1 et l'utilisateur, puis cliquez sur "Connexion rapide".</p>
        <a class="img" href="../img/windows/ftp/16.png" target="_blank"><img src="../img/windows/ftp/16.png"></a>
        <p>Acceptez la connexion non sécurisée.</p>
        <a class="img" href="../img/windows/ftp/17.png" target="_blank"><img src="../img/windows/ftp/17.png"></a>
        <p>Dans la partie de droite, vous avez maintenant accès à ce qu'il y a dans votre dossier.</p>
        <a class="img" href="../img/windows/ftp/18.png" target="_blank"><img src="../img/windows/ftp/18.png"></a>
        <h3 class="title" id="net">Configuration réseau</h3>
        <p>Tapez dans la barre de recherche "Pare-feu" et cliquez dessus.</p>
        <a class="img" href="../img/windows/ftp/19.png" target="_blank"><img src="../img/windows/ftp/19.png"></a>
        <p>Dans la partie de gauche, cliquez sur "Paramètres avancés".</p>
        <a class="img" href="../img/windows/ftp/20.png" target="_blank"><img src="../img/windows/ftp/20.png"></a>
        <p>Dans la fenêtre de gauche cliquez sur "Règles de trafic entrant", puis dans la fenêtre de droite cliquez sur "Nouvelle règle...".</p>
        <a class="img" href="../img/windows/ftp/21.png" target="_blank"><img src="../img/windows/ftp/21.png"></a>
        <p>Sélectionnez "Programme" puis cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/ftp/22.png" target="_blank"><img src="../img/windows/ftp/22.png"></a>
        <p>Sélectionnez "Au programme ayant pour chemin d'accès :" et cliquez sur "Parcourir...".</p>
        <a class="img" href="../img/windows/ftp/23.png" target="_blank"><img src="../img/windows/ftp/23.png"></a>
        <p>Dans C:\Program Files (x86)\FileZilla Server sélectionnez "FileZilla Server".</p>
        <a class="img" href="../img/windows/ftp/24.png" target="_blank"><img src="../img/windows/ftp/24.png"></a>
        <p>Cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/ftp/25.png" target="_blank"><img src="../img/windows/ftp/25.png"></a>
        <p>Cochez "Autoriser la connexion", et cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/ftp/26.png" target="_blank"><img src="../img/windows/ftp/26.png"></a>
        <p>Cochez tout puis cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/ftp/27.png" target="_blank"><img src="../img/windows/ftp/27.png"></a>
        <p>Dans la fenêtre de gauche, cliquez sur "Règle de trafic sortant" et créez exactement la même règle que celle créée à l'instant.</p>
        <a class="img" href="../img/windows/ftp/28.png" target="_blank"><img src="../img/windows/ftp/28.png"></a>
        <p>Une fois la deuxième règle créée, il va falloir créer une règle de redirection du port 21.<br>
            Dans le panel d'administration de votre routeur, créez une règle NAT.</p>
        <a class="img" href="../img/windows/ftp/29.png" target="_blank"><img src="../img/windows/ftp/29.png"></a>
        <p>Si vous ne pouvez pas sélectionner le port FTP, renseignez le port 21.<br>
            Remplacez "Redirect target IP" par l'adresse IP du serveur FTP.</p>
        <a class="img" href="../img/windows/ftp/30.png" target="_blank"><img src="../img/windows/ftp/30.png"></a>
        <p>Vérifiez si une règle de pare-feu liée à la règle NAT à bien été créé automatiquement. Sinon, créez là.</p>
        <a class="img" href="../img/windows/ftp/31.png" target="_blank"><img src="../img/windows/ftp/31.png"></a>
        <h3 class="title" id="passive">Mode passif</h3>
        <p>Dans l'interface de FileZilla Server, cliquez sur l'onglet "Edit" puis sur "Settings".</p>
        <a class="img" href="../img/windows/ftp/32.png" target="_blank"><img src="../img/windows/ftp/32.png"></a>
        <p>Dans la fenêtre de gauche cliquez sur "Passive mode settings"<br>
            Cochez "Use custom port range" et renseignez les ports 30000 et 30100. Cochez également "Use the following IP:" et mettez l'adresse IP publique de votre routeur.</p>
        <a class="img" href="../img/windows/ftp/33.png" target="_blank"><img src="../img/windows/ftp/33.png"></a>
        <p>Retournez sur le panel d'administration de votre routeur et créez une nouvelle règle NAT pour les ports de 30000 à 30100.</p>
        <a class="img" href="../img/windows/ftp/34.png" target="_blank"><img src="../img/windows/ftp/34.png"></a>
        <a class="img" href="../img/windows/ftp/35.png" target="_blank"><img src="../img/windows/ftp/35.png"></a>
        <p>Vérifiez encore une fois si une règle de pare-feu s'est bien créée automatiquement.</p>
        <a class="img" href="../img/windows/ftp/36.png" target="_blank"><img src="../img/windows/ftp/36.png"></a>
        <p>Maintenant vous pouvez vous connecter depuis n'importe quel réseau à ce serveur FTP, en renseignant dans la partie hôte l'adresse IP publique de votre routeur.</p>
        <a class="img" href="../img/windows/ftp/37.png" target="_blank"><img src="../img/windows/ftp/37.png"></a>
        <a class="img" href="../img/windows/ftp/38.png" target="_blank"><img src="../img/windows/ftp/38.png"></a>

    </div>
{% endblock %}